support question: hostapd does not recognize working interface

Pavel Roskin proski at gnu.org
Wed Nov 19 18:37:55 EST 2008


On Thu, 2008-11-20 at 00:22 +0100, Alexander Huemer wrote:
> i already have hostapd-0.6.5 installed. that's quite easy with
> gentoo, 
> although nl80211 is still not enabled.
> the decision whether it gets enabled or not depends of the result of
...
> do you think this is the right way to check that?

Personally, I prefer that the userspace software enables all options it
can support, regardless of the currently installed kernel, using
compatibility headers if necessary.  If the running kernel cannot do it,
then the functionality should be disabled at the runtime.  Since not
having the runtime check would be a bad style, the compile time check is
excessive.

But I don't really care about this to submit a patch.

> from what kernel version on do you think enabling nl80211 makes sense?

It depends on your goals.  I assume enabling nl80211 doesn't break any
functionality in any kernel.

-- 
Regards,
Pavel Roskin


More information about the HostAP mailing list